com.h3c.of.lib

## Class DecodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.h3c.of.lib.OpenflowException
      - - com.h3c.of.lib.DecodeException

- All Implemented Interfaces:
    Serializable

      public class DecodeException
      extends OpenflowException

  Exception thrown when an attempt to decode an encoded value fails.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeException()` Constructs a new decode exception with null as its detail message, and no specific cause.
    `DecodeException(String message)` Constructs a new decode exception with the specified detail message, and no specific cause.
    `DecodeException(String message, Throwable cause)` Constructs a new decode exception with the specified detail message, and the given cause.
    `DecodeException(Throwable cause)` Constructs a new decode exception with null as its detail message, but with the given cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecodeException

          public DecodeException()

      Constructs a new decode exception with null as its detail message, and no specific cause.

    - #### DecodeException

          public DecodeException(String message,
                         Throwable cause)

      Constructs a new decode exception with the specified detail message, and the given cause.
      Parameters:
        `message` - the detail message
        `cause` - the underlying cause

    - #### DecodeException

          public DecodeException(String message)

      Constructs a new decode exception with the specified detail message, and no specific cause.
      Parameters:
        `message` - the detail message

    - #### DecodeException

          public DecodeException(Throwable cause)

      Constructs a new decode exception with null as its detail message, but with the given cause.
      Parameters:
        `cause` - the underlying cause

Copyright © 2014. All Rights Reserved.